gntlog.h File Reference
Finch (GNT User Interface)

GNT Log viewer. More...

`#include "log.h"`
`#include "account.h"`
`#include "gntwidget.h"`

Go to the source code of this file.

## Data Structures

struct | _FinchLogViewer
| A GNT Log Viewer. More...

## Typedefs

typedef struct _FinchLogViewer | FinchLogViewer

## Functions

void | finch_log_show (PurpleLogType type, const char *username, PurpleAccount *account)
void | finch_log_show_contact (PurpleContact *contact)
void | finch_syslog_show (void)
GNT Log Subsystem <br>
void | finch_log_init (void)
| Initializes the GNT log subsystem.
void * | finch_log_get_handle (void)
| Returns the GNT log subsystem handle. More...
void | finch_log_uninit (void)
| Uninitializes the GNT log subsystem.

## Detailed Description

GNT Log viewer.

Definition in file gntlog.h.

## Function Documentation

## finch_log_get_handle()

void* finch_log_get_handle | ( | void |  | ) |

Returns the GNT log subsystem handle.

Returns
  The GNT log subsystem handle.